/*
 * Author: Radovan Cerveny
 */

#ifndef MEASUREMENT_PROVISIONER_HPP_
#define MEASUREMENT_PROVISIONER_HPP_

#include "MeasurementProvisionerConfiguration.hpp"
#include "MeasurementProvisionerResults.hpp"
#include "MeasurementProvisionerInputData.hpp"

#include <list>
#include <set>
#include <map>

namespace provisioner {

class MeasurementProvisioner {

	static void prepareEnvironment ( const MeasurementProvisionerConfiguration & );
	static MPRPipelineResults runPipeline ( const MPPipeline &, const MPSubstitutionMap & );

public:
	static MeasurementProvisionerResults runConfiguration ( const MeasurementProvisionerConfiguration & );
};

}

#endif /* MEASUREMENT_PROVISIONER_HPP_ */
