/*
 * Author: Radovan Cerveny
 */

#ifndef MEASUREMENT_PROVISIONER_CONFIGURATION_HPP_
#define MEASUREMENT_PROVISIONER_CONFIGURATION_HPP_

#include <vector>
#include <string>
#include <map>

namespace provisioner {

struct MPCInputDatum {
	enum class Type {
		FILE, GENERATOR
	};

	Type		type;
	int			id;
	int			count;
	std::string value;
};

struct MPCInputBatch {
	std::vector < MPCInputDatum > batch;
	bool						  forcedDependencyBatch;
};

using MPCPipeline = std::vector < std::string >;

struct MeasurementProvisionerConfiguration {
	std::string binariesDirectory;

	std::vector < MPCInputBatch > inputBatches;
	std::vector < MPCPipeline >	  pipelines;
};

}

#endif /* MEASUREMENT_PROVISIONER_CONFIGURATION_HPP_ */
