/*
 * Author: Radovan Cerveny
 */

#ifndef MEASUREMENT_PROVISIONER_RESULTS_XML_HPP_
#define MEASUREMENT_PROVISIONER_RESULTS_XML_HPP_

#include <deque>
#include "sax/Token.h"
#include "MeasurementProvisionerResults.hpp"

namespace provisioner {

class MeasurementProvisionerResultsXml {
	static std::string MEASUREMENT_PROVISIONER_RESULTS_TAG;

	static std::string MEASUREMENT_PROVISIONER_RESULT_TAG;

	static std::string INPUTS_TAG;

	static std::string INPUT_TAG;
	static std::string INPUT_ATTR_ID_NAME;

	static std::string PIPELINES_TAG;
	static std::string PIPELINE_TAG;

	static std::string PIPELINE_STATUS_TAG;
	static std::string EXIT_CODE_TAG;
	static std::string ERROR_ORIGIN_TAG;
	static std::string ERROR_VALUE_TAG;

	static std::string COMMANDS_TAG;
	static std::string COMMAND_TAG;
	static std::string COMMAND_NAME_TAG;

	static std::string MEASUREMENT_RESULTS_TAG;

	static void composeMeasurementProvisionerResult ( std::deque < sax::Token > &, const MPRResults & );
	static void composeInputs ( std::deque < sax::Token > &, const MPRResults & );
	static void composePipelines ( std::deque < sax::Token > &, const MPRResults & );
	static void composePipeline ( std::deque < sax::Token > &, const MPRPipelineResults & );
	static void composePipelineStatus ( std::deque < sax::Token > &, const MPRPipelineResults & );
	static void composeCommands ( std::deque < sax::Token > &, const MPRPipelineResults & );
	static void composeCommand ( std::deque < sax::Token > &, const MPRPipelineCommandResults & );

public:
	static std::deque < sax::Token > compose ( const MeasurementProvisionerResults & );
};

}

#endif /* MEASUREMENT_PROVISIONER_RESULTS_XML_HPP_ */
